Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454949 - Missing audio files
Summary: Missing audio files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: callweaver
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Woodhouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 00:03 UTC by W. Michael Petullo
Modified: 2009-07-14 17:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:55:02 UTC


Attachments (Terms of Use)

Description W. Michael Petullo 2008-07-11 00:03:57 UTC
Description of problem:
The callweaver packages do not provide the PBX's sounds.

Version-Release number of selected component (if applicable):
1.2-0.5.rc5. 20071230

How reproducible:
Every time

Steps to Reproduce:
Configure Callweaver to provide a service that requires the project's audio files.
  
Actual results:
Callweaver's sounds are not provided as a Fedora package.

Expected results:
Fedora should provide a package containing callweaver's sound files.

Additional info:
Callweaver's sounds are available at http://devs.callweaver.org/sounds/.

The sounds are licensed under Creative Commons' Attribution-No Derivative Works 3.0 Unported 
license.

This license is acceptable to fedora, according to http://fedoraproject.org/wiki/Licensing.

I would be happy to package these sounds if the callweaver package maintainer supported this effort.

The sounds provided by Callweaver's competitor, Asterisk, are not yet available under a Fedora-friendly 
license. However, Asterisk can use Callweaver's sounds. So, it would be useful to also have a 
callweaver-sounds-asterisk package that provided a symbolic link so that Asterisk could use 
Callweaver's sounds. Yes, this is an ironic request, given some of Callweaver's original justifications for 
a fork. There is a request in Asterisk's bug tracking system to make the licensing of the Asterisk 
sounds more clear, see http://bugs.digium.com/view.php?id=10144.

See also bug #428832.

Comment 1 Christopher D. Stover 2008-10-24 15:40:19 UTC
I've confirmed the sounds are still not in callweaver-1.2.0.1.  Adding this as a FutureFeature request.

Comment 2 Bug Zapper 2009-06-10 02:02:11 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 17:55:02 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.